1050: Evaluate loyalty scheme

1050: Evaluate loyalty scheme

Evaluates a loyalty scheme for an entity

Endpoint ID:

1050

Method:

POST

URL:

/loyalty/entity/id/{entity-id}/scheme/{scheme-id}/evaluate

/loyalty/entity/ext-key/{ext-key}/{ext-type}/scheme/{scheme-id}/evaluate

 

entity-id

Rubiq entity ID that uniquely identifies an account to evaluate the scheme for

 

ext-key

External key that uniquely identifies an account to evaluate the scheme for

 

ext-type

Type of external key

 

scheme-id

Numeric value identifying the loyalty scheme that should be evaluated

Request body:

JSON data containing the tags that should be evaluated

{ "tags": [ 5, 6, 9 ] }

 

JSON data with information about the evaluation result

Example
{ "points": 58.5, "noFiltersMatched": false, "campaignFilterMatched": true, "campaignResult": { "pointType": "MultiplicationFactor", "pointModifier": 1.5, "filterID": 87, "name": "Standard filter", "points": 58.5, "comment": "Earned honestly", "returnTag": { "schemeID": 22, "label": "label1", "resultTagID": 11 } }, "standardResults": [ { "filterID": 87, "name": "Standard filter", "points": 58.5, "comment": "Earned honestly", "returnTag": {   "schemeID": 22, "label": "label1", "resultTagID": 11 } } ] }

Possible CampaignResult.PointType options

StandardPoints

MultiplicationFactor

AdditionalPoints

Status codes:

200

Evaluation completed successfully

 

404

The entity or loyalty scheme were not found

The following sub codes may be returned:

404.1

Entity not found

404.2

External entity could not be found

404.4

Loyalty scheme not found